hadoop-common-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Steve Loughran (JIRA)" <j...@apache.org>
Subject [jira] Resolved: (HADOOP-4660) JobTracker wont compile on Java5 as you cant use @Override with an interface implementation in Java5
Date Mon, 17 Nov 2008 11:49:44 GMT

     [ https://issues.apache.org/jira/browse/HADOOP-4660?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Steve Loughran resolved HADOOP-4660.
------------------------------------

    Resolution: Invalid

Then I'll close it as invalid

> JobTracker wont compile on Java5 as you cant use @Override with an interface implementation
in Java5
> ----------------------------------------------------------------------------------------------------
>
>                 Key: HADOOP-4660
>                 URL: https://issues.apache.org/jira/browse/HADOOP-4660
>             Project: Hadoop Core
>          Issue Type: Bug
>          Components: mapred
>    Affects Versions: 0.20.0
>            Reporter: Steve Loughran
>
> Unless there is a java6+ only policy, the bits of JobTracker that declare they @Override
the JobSubmissionProtocol need to have those @Override attributes commented out, as Java5
wont let you override interface methods, only class methods (strange but true)

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message